Update Mail Notification Settings

Update Mail Notification Settings
Update or create email notification settings.

Perform the update over the existing mail notification settings.

Request
URI
PUT
https://umip/api/v1/mail-notifications
COPY
Request Body
MailNotifications of type(s) application/json
Required

Show optional properties

{
    "notificationSettings": {
        "fromEmail": "string",
        "notifyEmails": [
            {}
        ],
        "notificationFrequency": 0
    },
    "alertsSubscriptions": [
        {}
    ],
    "smtpSettings": {
        "smtpHost": "string",
        "smtpPort": 0
    }
}
{
    "notificationSettings": {
        "fromEmail": "string",
        "notifyEmails": [
            "string"
        ],
        "notificationFrequency": 0
    },
    "alertsSubscriptions": [
        "string"
    ],
    "lastModificationTime": 0,
    "paused": false,
    "smtpSettings": {
        "smtpHost": "string",
        "smtpPort": 0,
        "smtpUser": "string",
        "smtpPassword": "string",
        "smtpUseSsl": false
    }
}
object
notificationSettings
Required

Notification settings options.

array of string
alertsSubscriptions
Required

alertsSubscriptions

Possible values are : PRODUCT_NOTIFICATIONS, RESOURCE_USAGE, CLOUD_CONNECTION, DATA_FILE_MANAGEMENT,
integer
lastModificationTime
Optional

lastModificationTime

boolean
paused
Optional

paused

object
smtpSettings
Required

SMTP configuration settings representation.

Authentication
This operation uses the following authentication methods.
Responses
204

Mail notification settings are updated successfully.

Operation doesn't return any data structure

400

Invalid data for one or more fields in the request, or the validation of the data does not passed.

Returns 400InvalidRequestValidationIssues of type(s) application/json
{
    "messages": [
        {
            "errMessage": "Provide Notify email(s) value.",
            "errCode": "notifications.notifyEmails.missing"
        },
        {
            "errMessage": "SMTP Password is required.",
            "errCode": "smtp.password.missing"
        },
        {
            "errMessage": "Select at least one type of alert.",
            "errCode": "alerts.missing"
        }
    ]
}
array of object
messages
Optional

Validation errors response object.


401

Provided access token is missing or invalid.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"notificationSettings":"object","alertsSubscriptions":["string"],"smtpSettings":"object"}' https://{api_host}/api/v1/mail-notifications